Subject: Re: bug#16253: 24.3.50; Irrelevant warnings from gnutls

From: Ted Zlatanov <[email-masked]>
Date: Tue, 07 Jan 2014 18:47:12 -0500

On Wed, 25 Dec 2013 10:09:21 +0100 Lars Ingebrigtsen <[email-masked]> wrote: 

LI> When a TLS server shuts down the connection to Emacs (for instance, when
LI> timing out a https connection), Emacs gives this ominous warning:

LI> gnutls.c: [0] (Emacs) fatal error: The TLS connection was non-properly terminated.

LI> Normal network connections don't give any warnings, so TLS connections
LI> shouldn't, either.

I added this:

#ifdef HAVE_GNUTLS3
/* Function to log a simple audit message.  */
static void
gnutls_audit_log_function (gnutls_session_t session, const char* string)
{
  if (global_gnutls_log_level >= 1)
    {
      message ("gnutls.c: [audit] %s", string);
    }
}
#endif
...
#ifdef HAVE_GNUTLS3
      fn_gnutls_global_set_audit_log_function (gnutls_audit_log_function);
#endif

...so if this is an auditing message, you should see the "[audit]"
prefix.  Since you don't, either you're on GnuTLS 2.x (unlikely) or
GnuTLS is saying it's a very high priority message that shouldn't be
filtered out.  I could add special handling for this specific message
but is that the right thing to do?

Ted